Bug 166952

Summary: unable to boot xen kernel, dma timer expiry errors
Product: [Fedora] Fedora Reporter: Ted Kaczmarek <tedkaz>
Component: xenAssignee: Rik van Riel <riel>
Severity: medium Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-10-01 23:59:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ted Kaczmarek 2005-08-28 16:02:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When trying to boot into the xen kernel I get a ton of dma timer expiry messages, with code 0x24, I have seen this issue with older regular kernels as well but recent ones have been fine. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Try to boot 2.6.12-1.1398_FC4xen0

Actual Results:  Boot never completed, consol spews dma timer expiry error with code 0x24.

Expected Results:  Boot completes

Additional info:

Sager Laptop model D470W, 7200 rpm drive.

00:00.0 Host bridge: Silicon Integrated Systems [SiS] SiS645DX Host & Memory & AGP Controller (rev 01)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL Media IO] (rev 14)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.3 FireWire (IEEE 1394): Silicon Integrated Systems [SiS] FireWire Controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
00:0c.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [FireGL 9000] (rev 01)
Comment 1 Rik van Riel 2005-08-28 16:33:21 EDT
*** Bug 166953 has been marked as a duplicate of this bug. ***
Comment 2 Rik van Riel 2005-08-28 16:35:05 EDT
Could you please try with the latest Xen and kernel-xen0 from updates-testing?

There is a new Xen in the process of being released, which moves all ACPI and
other device related handling into domain 0.
Comment 3 Ted Kaczmarek 2005-08-28 21:07:28 EDT
The Xen in developement requires newer glibc, xen-2-20050823.2, trying to
rebuild src.rpm is getting FAILED check_curl_devel, spec file should be updated
accordingly, build-requires curl-devel needs to be added. Hopefully will be
testing shortly :-)
Comment 4 Ted Kaczmarek 2005-08-28 21:18:39 EDT
rpm -ivh kernel-xen0-2.6.12-1.1519_FC5.i686.rpm
rpmdb: Program version 4.3 doesn't match environment version
error: db4 error(-30974) from dbenv->open: DB_VERSION_MISMATCH: Database
environment version mismatch
error: cannot open Packages index using db3 -  (-30974)
warning: cannot open Solve database in /usr/lib/rpmdb/i386-redhat-linux/redhat
error: Failed dependencies:
        mkinitrd >= 4.2.21-1 is needed by kernel-xen0-2.6.12-1.1519_FC5.i686
        nfs-utils < 1.0.7-12 conflicts with kernel-xen0-2.6.12-1.1519_FC5.i686
        kudzu < 1.1.119-1 conflicts with kernel-xen0-2.6.12-1.1519_FC5.i686
        udev < 063-6 conflicts with kernel-xen0-2.6.12-1.1519_FC5.i686
        iptables < 1.3.2-1 conflicts with kernel-xen0-2.6.12-1.1519_FC5.i686
        selinux-policy-targeted < 1.25.3-14 conflicts with
        mkinitrd >= 4.2.21-1 is needed by kernel-xenU-2.6.12-1.1519_FC5.i686
        nfs-utils < 1.0.7-12 conflicts with kernel-xenU-2.6.12-1.1519_FC5.i686
        kudzu < 1.1.119-1 conflicts with kernel-xenU-2.6.12-1.1519_FC5.i686
        udev < 063-6 conflicts with kernel-xenU-2.6.12-1.1519_FC5.i686
        iptables < 1.3.2-1 conflicts with kernel-xenU-2.6.12-1.1519_FC5.i686
        selinux-policy-targeted < 1.25.3-14 conflicts with

Tried rebuilding kernel-2.6.12-1.1520_FC5.src.rpm, that failed with 
Patch #1 (patch-2.6.13-rc7.bz2):
+ /usr/bin/bzip2 -d
+ patch -p1 -s
2 out of 4 hunks FAILED -- saving rejects to file arch/i386/kernel/apm.c.rej
11 out of 15 hunks FAILED -- saving rejects to file

Have to work up some courage to update all those packages, I think two Apple
Martini's will do the trick.
Comment 5 Ted Kaczmarek 2005-08-28 21:34:02 EDT
Panic on CPU 0;
Domain 0 Allocation is too small for  kernel image

Machine has 512 megs od ram.
Comment 6 Rik van Riel 2005-08-28 21:37:16 EDT
The version in FC4 updates-testing should work.

The FC5 version is known to be linked at a wrong address and will not load.
Comment 7 Ted Kaczmarek 2005-08-28 21:56:53 EDT
With the updates testing version, and the deps mey from the FC5 version.
hda: lost interupt 
repeats 4 times
starts reading the sectors
repeats again
cache flushes supported
than dma_timer_expiry; dma status == 24

I have quite a few partitions on this drive, I suspect that may be making
matters worse.

I see it do DMA interupt recovery, then it gets to ide-dc and starts again on
hdc, a few more lost interupts my screen went blank :-(
Comment 8 Ted Kaczmarek 2005-08-30 16:12:48 EDT
Disabling all serial ports and usb in bios did the trick.
Comment 9 Ted Kaczmarek 2005-10-01 23:59:09 EDT
The latest changeset in hg is behaving well, minor nusiances only.